import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  titre = 'Gestion des Assignments';
  ajoutActive = false;
  assignmentSelectionne: Assignment;

  // formulaire visible oui/non ?
  formVisible = false;

  assignments: Assignment[] = [
    {
      nom: 'TP Angular 1 à rendre !',
      dateDeRendu: new Date('01/02/2021'),
      rendu: true,
    },
    {
      nom: 'Projet MOPOLO SQL',
      dateDeRendu: new Date('02/15/2021'),
      rendu: false,
    },
    {
      nom: 'Lange R à finir',
      dateDeRendu: new Date('01/20/2021'),
      rendu: false,
    },
  ];
  constructor() {}

  ngOnInit(): void {
    // ici c'est exécuté une fois le composant créé
    // on va mettre à true la variable ajoutActive, mais
    // au bout de trois secondes
    setTimeout(() => {
      this.ajoutActive = true;
      console.log('On réactive au bout de trois secondes...');
    }, 1000);
  }
  assignmentClique(a: Assignment) {
    console.log('Assignment cliqué : ' + a.nom);
    this.assignmentSelectionne = a;
  }

  onAddAssignmentBtnClick() {
    console.log("Affichage du composant d'ajout");
    this.formVisible = true;
  }

  onNouvelAssignment(newAssignment: Assignment) {
    this.assignments.push(newAssignment);

    // et on cache le formulaire et on réaffiche la liste à jour
    this.formVisible = false;
  }
}
